var tabla;

//funcion que se ejecuta al inicio
function init(){

   listar();
    //cargamos los items al select cliente
  /*  $.post("controladores/ventanControlador.php?op=selectCliente", function(r){
   	$("#idcliente").html(r);
	  $("#idcliente").val(0);
   	$('#idcliente').selectpicker('refresh');
   	
   }); */

  $.post("controladores/ventanControlador.php?op=selectAlmacen", function(r){
    $("#idalmacen").html(r);
    $("#idalmacen").val(0);
    $('#idalmacen').selectpicker('refresh');
  });

  $.post("controladores/articuloControlador.php?op=selectArticulo", function(r){
    $("#idarticulo").html(r);
    $("#idarticulo").val(0);
    $('#idarticulo').selectpicker('refresh');
  });

  $("#idalmacen").change(function(){
    listar();
  });

  $("#idarticulo").change(function(){
    listar();
});

}
//controladores/ventaControlador.php

//funcion listar
function listar(){
	/* var fecha_inicio  = $("#fecha_inicio").val();
 	var fecha_fin     = $("#fecha_fin").val(); 
  var idalmacen     = $("#idalmacen").val();*/
  var idarticulo    = $("#idarticulo").val(); 
 
	var tabla=$('#tbllistado').dataTable({
		"aProcessing": true,//activamos el procedimiento del datatable
		"aServerSide": true,//paginacion y filrado realizados por el server
		dom: 'Bfrtip',//definimos los elementos del control de la tabla
		buttons: [
                  'copyHtml5',
                  'excelHtml5',
                  'csvHtml5',
                  'pdf'
		],
		"ajax":
		{
			url:'controladores/consultasControlador.php?op=inventarioalmacenproducto',
			method: 'post',
			data: {
			//	idalmacen	:	idalmacen,
        idarticulo : idarticulo,
			},
			dataType : "json",
			error:function(e){
				console.log(e.responseText);
			}
		},
		 "drawCallback":function(){
			//alert("La tabla se está recargando"); 
			var api 	= this.api();
			var total		= api.column(1, {page:'current'}).data().sum();
			var total1	= api.column(2, {page:'current'}).data().sum();
			var total2	= api.column(3, {page:'current'}).data().sum();
			var total3	= api.column(4, {page:'current'}).data().sum();
			var total4	= api.column(5, {page:'current'}).data().sum();
			var total5	= api.column(6, {page:'current'}).data().sum();
			//var total		= api.column(1).data().sum();
      //var total1	= api.column(2).data().sum();
      //var total2	= api.column(3).data().sum();
      //var total3	= api.column(4).data().sum();
      //var total4	= api.column(5).data().sum();
      //var total5	= api.column(6).data().sum();
		//	tactual		= number_format(tactual*1,2);
			total		= number_format(total*1,0);
		//	$(api.column(4).footer()).html('Total Actual:');
		//	$(api.column(5).footer()).html(tactual);
			$(api.column(0).footer()).html('Total:');
			$(api.column(1).footer()).html(total);
      $(api.column(2).footer()).html(total1);
      $(api.column(3).footer()).html(total2);
      $(api.column(4).footer()).html(total3);
      $(api.column(5).footer()).html(total4);
      $(api.column(6).footer()).html(total5);
	  	},  
		"bDestroy":true,
		"iDisplayLength":-1,//paginacion
		"order":[[0,"desc"]]//ordenar (columna, orden)
	}).DataTable();
	
	

}


init();  